Subject: mm_idle()

From: Mike Macgirvin <[email-masked]>
Date: Wed, 9 Feb 1994 09:12:27 -0800 (PST)

I'd like to request a client callback I'm tentatively calling mm_idle()
which would be called during a select() (or poll(), whatever) network I/O 
timeout (say on the order of 10ms).
	XLView might be the only client which can make full use of this, as we 
try and handle keyboard actions during background checks, but this would be an 
easy way for other clients to twirl a cursor as they're waiting for something. 
We see this on more and more networked user interfaces these days. 
	For systems which force blocking I/O, it wouldn't be called. For 
clients who don't have a use for it, it just becomes a no-op.

mike